from typing import Callable


class Statistic:

    def __init__(self, name: str, description: str, code: str):
        self._name = name
        self._description = description
        self._code = code
        
    @property
    def name(self) -> str:
        return self._name
    
    @property
    def description(self) -> str:
        return self._description
    
    @description.setter
    def description(self, value: str):
        self._description = value
        
    @property
    def code(self) -> str:
        return self._code
    
    @code.setter
    def code(self, value: str):
        self._code = value
